Package com.destroystokyo.paper.event.block

# Enum Class TNTPrimeEvent.PrimeReason

java.lang.Object
java.lang.Enum<TNTPrimeEvent.PrimeReason>
com.destroystokyo.paper.event.block.TNTPrimeEvent.PrimeReason

All Implemented Interfaces:
  `Serializable`, `Comparable<TNTPrimeEvent.PrimeReason>`, `Constable`

Enclosing class:
  TNTPrimeEvent

public static enum TNTPrimeEvent.PrimeReason extends Enum<TNTPrimeEvent.PrimeReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXPLOSION`
When TNT prime was caused by other explosion (chain reaction)
`FIRE`
When TNT prime was caused by fire
`ITEM`
When `Player` used `Material.FLINT_AND_STEEL` or `Material.FIRE_CHARGE` on given TNT block
`PROJECTILE`
When TNT prime was caused by an `Entity` shooting TNT using a bow with `Enchantment.ARROW_FIRE` enchantment
`REDSTONE`
When redstone power triggered the TNT prime

## Method Summary

Modifier and Type
Method
Description
`static TNTPrimeEvent.PrimeReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TNTPrimeEvent.PrimeReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXPLOSION

public static final TNTPrimeEvent.PrimeReason EXPLOSION
When TNT prime was caused by other explosion (chain reaction)

### FIRE

public static final TNTPrimeEvent.PrimeReason FIRE
When TNT prime was caused by fire

### ITEM

public static final TNTPrimeEvent.PrimeReason ITEM
When `Player` used `Material.FLINT_AND_STEEL` or `Material.FIRE_CHARGE` on given TNT block

### PROJECTILE

public static final TNTPrimeEvent.PrimeReason PROJECTILE
When TNT prime was caused by an `Entity` shooting TNT using a bow with `Enchantment.ARROW_FIRE` enchantment

### REDSTONE

public static final TNTPrimeEvent.PrimeReason REDSTONE
When redstone power triggered the TNT prime

## Method Details

### values

public static TNTPrimeEvent.PrimeReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TNTPrimeEvent.PrimeReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null